---
import BaseLayout from "../layouts/BaseLayout.astro";
import TimeLineElement from "../components/cv/TimeLine.astro";
---

<BaseLayout title = "Resume">
  <div class="mb-5">
    <div class="text-3xl w-full font-bold">Profile</div>
  </div>

  <div class="mb-10 text-justify">
    DevOps Engineer with more than 10 years of professional experience in the field of IT.
    Skills and technical experience were forged through "trials by fire" in the areas of system administration, automation, and software development.
  </div>

  <div class="mb-5">
    <div class="text-3xl w-full font-bold">Roles</div>
    <div class="time-line-container grid gap-4 mb-10">
    <TimeLineElement
      title="Data Science Project and Software Support."
      subtitle="2019 to 2024 at Swinburne University of Technology, Australia."
      desc="Support High-Performance Computing (HPC) and data science programs at Swinburne."
    />
    <TimeLineElement
      title="Software Development Engineer In Test."
      subtitle="2017 to 2019 at IBM, Australia."
      desc="This role assists clients in the selection, implementation, and production support of application packaged solutions. They use in-depth consulting skills, business knowledge, and packaged solution expertise to effectively integrate packaged technology into the clients' business environment in order to achieve client expected business results."      
    />
    <TimeLineElement
      title="Security Analyst (Intern)."
      subtitle="2015 to 2017 at IBM, Australia."
      desc="This role is a subject matter expert qualified to perform multiple roles related to the delivery of security & risk management services to a client. Responsibilities may include leading the development and implementation of policies and practices, security programs, multi-functional teams, and/or project plan delivery. Their sphere of responsibility may range from a single customer account to multiple customers. They provide subject matter expertise in specific areas such as logical & physical access management, information security, incident management, issue & risk management, audit readiness and compliance."
    />
    <TimeLineElement
      title="Security Administrator (Intern)."
      subtitle="2013 to 2015 at IBM, Australia."
      desc="Security Administrator has the responsibility to utilize the tools available within the security system to ensure compliance with policies and procedures designed for the delivery of Security Services to Clients."
    />
  </div>
  </div>

  <div class="mb-5">
    <div class="text-3xl w-full font-bold">Projects</div>
  </div>

  <div class="time-line-container mb-10">
    <TimeLineElement
      title="Square Kilometer Array Observatory."
      subtitle="From 2022 to 2024 at Swinburne University of Technology, Australia"
      desc="Development of Pulsar Timing Sub-element (PST) of the Central Signal Processors (CSP) of both SKA Phase 1 Mid (CSP_Mid) and SKA Phase 1 Low (CSP_Low). Containerisation of products developed for baremetal platforms. Designed and developed Helm charts. Knowledge sharing with tools such as Hashicorp Vault, Ansible, Kubernetes and Ceph. Designed, developed, and implemented makefile library containing targets that squentially executes repetetive tasks. Designed, developed, and implemented CI pipelines demonstrating and reporting tests such as build, unit, functional, performance, negative, and integration. Implemented redesign of ApplicationManager StateModel."
    />
    <br />
    <TimeLineElement
      title="Quasar Satellite Technologies."
      subtitle="2022 at Swinburne University of Technology, Australia"
      desc="Quasarsat implementation of PST. Designed, developed, and implemented placeholder templates involving Helm and custom python application acting as a Kubernetes job generator 'kmanager'. Initialised Helm templates and kmanager to be used as reference by the main developer. Advised the usage of Swagger API to enforce self documenting restful API calls. Advised possible methodologies for mounting configurations and license files."
    />
    <br />
    <TimeLineElement
      title="RTBioTrack (Real Time Bio Track)"
      subtitle="2022 at Swinburne University of Technology, Australia"
      desc="Multi-device recording using containerised applications and data visualisation. Designed, developed, and implemented containerised solution which includes a data logger (python script), database (postgresql), and data visualiser (Grafana). Developed containerised python script which utilises vendor (Pupil Lab) api's (Pupil Core - ZeroMQ) to procure only desired data. Added placeholder template for additional sensor (Empatica E4) used by co developer."
    />
    <br />
    <TimeLineElement
      title="DesertFireball Network"
      subtitle="2021 at Swinburne University of Technology, Australia"
      desc="Modernisation of DFN (DesertFireball Network). Analysed existing infrastructure and toolchain. Provided feedback and plan to modernise or optimise specific components of the toolchain. Containerised compilation process of an application with legacy dependencies. Messaging architecture collaboration. Showcased capabilities of RabbitMQ."
    />
    <br />
    <TimeLineElement
      title="Keck RTC (Real Time Controller)"
      subtitle="2020 at Swinburne University of Technology, Australia"
      desc="Assisted in the completion of the monitoring solution. This involves developing the source code that executes hardware API calls (Dell Intelligant Platform Machine Interface) and raises alarms as per requirements."
    />
    <br />
    <TimeLineElement
      title="AstroMedical"
      subtitle="2020 at Swinburne University of Technology, Australia"
      desc="Design, development, and implementation of file collaboration platform that interacts with Swinburne's OzStar supercomputer."
    />
    <br />
    <TimeLineElement
      title="MeerTime Data portal"
      subtitle="2020 at Swinburne University of Technology, Australia"
      desc="Development of configuration payload allowing kubernetes cluster agnostic deployment configuration. Guided primary developer regarding prerequisites prior to developing GWCloud applications. Designed dataproduct and database dump backup solution native to Kubernetes. Assisted with site migration activities."
    />
    <br />
    <TimeLineElement
      title="Gravitational Wave Data Centre"
      subtitle="2019 at Swinburne University of Technology, Australia"
      desc="Designed, developed, and deployed underlying GWCloud infrastructure. Analysed long term requirements, reviewed on prem infrastructure, proposed solution, provided small scale deployment as demo, and deployed accepted solution. Designed, developed, and implemented GWCloud VM provisioning against VSphere. Designed, developed, and implemented GWCloud Kubernetes bootstrapping through kubespray. Designed, developed, and implemented GWCloud CI/CD solution through ArgoCD, Helm, and Hashicorp Vault."
    />
    <br />
    <TimeLineElement
      title="VelociRaptor Optimisation"
      subtitle="From 2019 to 2020 at Swinburne University of Technology, Australia"
      desc="HaloFinding source code Refactor. Implemented encapsulation by breaking large methods to smaller ones in preparation for profiling. Developed test harness for triggerring profiling. Performed refactoring against bottlenecks."
    />
    <br />
    <TimeLineElement
      title="WBC (Westpac Banking Corporation) HPaaS (Hybrid Platforms as a Service) WebSphere MQ development."
      subtitle="From 2018 to 2019 at IBM (International Business Machines), Australia"
      desc="Developed local containerised development environement enabling Websphere MQ functional tests. Designed and developed the Chefdk IBM MQ standalone and HA (high availability) cookbook that installs it against a RHEL workload. Designed and developed th MQ VM template which calls upon the MQ cookbook that installs Websphere MQ and bootstrap it with custom requirements."
    />
    <br />
    <TimeLineElement
      title="WBC (Westpac Banking Corporation) HPaaS (Hybrid Platforms as a Service) WebSphere MQ test automation."
      subtitle="From 2017 to 2018 at IBM (International Business Machines), Australia"
      desc="Designed and developed inspec tests ensuring that VM templates are compliant during build phases as well as at runtime. Designed and developed bi directional firewall tests ensuring that 2000+ firewall rules are compliant as per requirements. Designed and developed python report framework that renders Chef inspec output to summarised html report intended for non technical audience."
    />
    <br />
    <TimeLineElement
      title="Multi year contract support of midrange infrastructures - Security Analyst"
      subtitle="From 2016 to 2017 at IBM (International Business Machines), Australia"
      desc="Represented IBM during annual company audit activity. Addressed auditor queries in realtime against AS400 and Tandem (Itanium) servers. Analysed client project requirements and contributed to the integration between AS400 and Cyberark. Developed, designed and implemented a cross platform SHC (security health check) framework written in perl."
    />
    <br />
    <TimeLineElement
      title="Multi year contract support of midrange infrastructures - Security Administration"
      subtitle="From 2012 to 2016 at IBM (International Business Machines), Australia"
      desc="Developed automation script for BAU (business as usual) tasks extracting data from electronic forms used for filling spreadsheets. Developed automation script used for extracting spreadsheet data to be used for filling labels for shipping out keyfobs."
    />
    <br />
  </div>

  <div class="mb-5">
    <div class="text-3xl w-full font-bold">Qualifications</div>
  </div>

  <div class="time-line-container grid gap-4 mb-10">
    <TimeLineElement
      title="Red Hat Accredited Professional"
      subtitle="2019 Red Hat Delivery Specialist - Automation I"
    />
    <TimeLineElement
      title="Bachelor of I.T. (Professional Practice)"
      subtitle="2016 Graduated University of Ballarat"
    />
  </div>

  

  <div class="mb-5">
    <div class="text-3xl w-full font-bold">Misc</div>
  </div>

  <ul class="list-disc mx-6 mb-10 grid gap-2">
    <li>
      <a href="https://adacs.org.au/who-we-are/our-team/" target="_blank">Astronomy and Data Computing Services - Staff</a>
    </li>
    <li>
      <a href="https://gwdc.org.au/?page_id=116" target="_blank">Gravitational Wave Data Center - Staff</a>
    </li>
    <li>
      <a href="https://www.ozgrav.org/professional--outreach-staff.html" target="_blank">ARC Centre of Excellence for Gravitational Wave Discovery - Staff</a>
    </li>
    <li>
      <a href="https://web.archive.org/web/20161027131230/https://www.thecourier.com.au/story/4249288/city-hackers-get-gong/" target="_blank">Programming competition: Govhack 2016 - Inspired By Research Hack - 1st Place</a>
    </li>
    <li>
      <a href="https://web.archive.org/web/20210512211225/https://2015.hackerspace.govhack.org/content/nextstep-feduni" target="_blank">Programming competition: Govhack 2015 - Best use of course information to encourage further study - 1st Place</a>
    </li>
    <li>
      Programming competition: Arellano University Programming C/C++ competition - 1st Place
    </li>
  </ul>

  <div class="mb-5">
    <div class="text-3xl w-full font-bold">Skills</div>
  </div>

  <ul class="list-disc md:columns-5 columns-2 mx-6">
    <li>Ansible</li>
    <li>ArgoCD</li>
    <li>Astro.js</li>
    <li>Automation</li>
    <li>Bash</li>
    <li>C++</li>
    <li>Canonical MaaS (Metal as a Service)</li>
    <li>Ceph (Clustered Storage)</li>
    <li>Chef Development Kit</li>
    <li>Cron</li>
    <li>Containerisation</li>
    <li>FreeIPA</li>
    <li>Git</li>
    <li>GitLab Pipelines</li>
    <li>Grafana</li>
    <li>Inspec</li>
    <li>JavaScript</li>
    <li>Jenkins</li>
    <li>Jira</li>
    <li>Kibana</li>
    <li>Kubernetes</li>
    <li>LDAP</li>
    <li>Longhorn (Clustered Storage)</li>
    <li>Make</li>
    <li>MySQL</li>
    <li>Node.js</li>
    <li>Office Suite</li>
    <li>Postgres SQL</li>
    <li>Proxmox VE</li>
    <li>Python</li>
    <li>Rabbit MQ</li>
    <li>Ruby</li>
    <li>Scrum</li>
    <li>SSH (Secure Shell)</li>
    <li>SSL Certificates</li>
    <li>Trello</li>
    <li>Virtualisation</li>
    <li>VSphere</li>
    <li>Websphere MQ</li>
    <li>Wordpress</li>
  </ul>
</BaseLayout>
